import request from '@/utils/request'

// 查询订单明细列表
export function listProdOrderDetail(query) {
  return request({
    url: '/mes/prod/prodOrderDetail/list',
    method: 'get',
    params: query
  })
}

// 查询订单明细详细
export function getProdOrderDetail(objId) {
  return request({
    url: '/mes/prod/prodOrderDetail/' + objId,
    method: 'get'
  })
}

// 新增订单明细
export function addProdOrderDetail(data) {
  return request({
    url: '/mes/prod/prodOrderDetail',
    method: 'post',
    data: data
  })
}

// 修改订单明细
export function updateProdOrderDetail(data) {
  return request({
    url: '/mes/prod/prodOrderDetail',
    method: 'put',
    data: data
  })
}

// 删除订单明细
export function delProdOrderDetail(objId) {
  return request({
    url: '/mes/prod/prodOrderDetail/' + objId,
    method: 'delete'
  })
}
